# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.2.0] - 2024-11-29

### Added
- feat/add-postgres-database (#20)

feat: add postgres database

Signed-off-by: kjuulh <contact@kjuulh.io>

feat: add postgres and more templates

Signed-off-by: kjuulh <contact@kjuulh.io>

Reviewed-on: https://git.front.kjuulh.io/kjuulh/cuddle-clusters/pulls/20
Co-authored-by: kjuulh <contact@kjuulh.io>
Co-committed-by: kjuulh <contact@kjuulh.io>

- add support for raw reading of variables
- add replicas
- set interval down to a minute
- with native roots
- with explicit install
- with install
- with ring
- enable stuff
- update packages
- update packages
- add actual grpc service
- fix typo
- revert to actual label
- fix scheme
- trying with h2c service
- add grpc ports as well
- fix name
- rename
- remove suffix
- add ingress
- add ingress wip
- use lower case
- use actual service name
- cannot use lowe case
- update filename
- add namespace
- update env
- add crdb
- add webroots
- with tls
- use new tokio stream
- update client
- more debugging
- update
- update flux releaser
- actually set registry
- add option for releaser
- add slot for upload strategy
- add user variables to input
- without remove all
- plan -> base
- add sync
- add send
- use arc instead

### Fixed
- *(deps)* update rust crate serde to v1.0.215
- *(deps)* update rust crate futures to v0.3.31
- *(deps)* update rust crate minijinja to v2.3.1
- *(deps)* update rust crate minijinja to v2.3.0
- *(deps)* update rust crate serde to v1.0.203
- only create vault secret template if actual secret found

### Other
- *(deps)* update rust crate tracing to v0.1.41
- *(deps)* update all dependencies
- *(deps)* update rust crate clap to v4.5.20
- *(deps)* update rust crate clap to v4.5.19
- *(deps)* update rust crate clap to v4.5.18
- *(deps)* update rust crate anyhow to v1.0.89
- *(deps)* update rust crate anyhow to v1.0.88
- *(deps)* update all dependencies
- move crdb to own file

## [0.1.1] - 2024-05-25

### Other
- remove deps

## [0.1.0] - 2024-05-25

### Added
- add cuddle clusters release please
- remove nested
- add functions again
- add vault
- add actual render
- add nested
- add cuddle plan
- add actual example
- can recursively load files
- can traverse stuff
- add variables
- add basic environment sharing
- add minijinja
- add more tests
- add basic templates
- add basic

### Other
- *(test)* test commit
- *(test)* test commit
- vault secret
